summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x[-rw-r--r--].SRCINFO11
-rw-r--r--PKGBUILD35
2 files changed, 27 insertions, 19 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 46ceca226c9..8c0841d131c 100644..100755
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = python-galsim-git
pkgdesc = The modular galaxy image simulation toolkit
- pkgver = v1.5.1.r0.9de448ef9
+ pkgver = v2.1.4.r3.68c8695b0
pkgrel = 1
url = https://github.com/GalSim-developers/GalSim.git
arch = i686
@@ -12,19 +12,28 @@ pkgbase = python-galsim-git
makedepends = fftw
makedepends = tmv-git
makedepends = python
+ makedepends = python2
+ makedepends = eigen
+ makedepends = pybind11
source = python-galsim-git::git+https://github.com/GalSim-developers/GalSim.git
md5sums = SKIP
pkgname = python-galsim-git
depends = python
depends = boost-libs
+ depends = fftw
depends = tmv-git
+ depends = eigen
+ depends = pybind11
depends = galsim-common-git
pkgname = python2-galsim-git
depends = python2
depends = boost-libs
+ depends = fftw
depends = tmv-git
+ depends = eigen
+ depends = pybind11
depends = galsim-common-git
pkgname = galsim-common-git
diff --git a/PKGBUILD b/PKGBUILD
index 21a7f933ae7..b0097903c3d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,14 +1,14 @@
# Maintainer: Andres Alejandro Navarro Alsina <aanavarroa@unal.edu.co>
# Contributor: GalSim developers team on GitHub
pkgbase=python-galsim-git
-pkgname=('python-galsim-git' 'python2-galsim-git' 'galsim-common-git' )
-pkgver=v1.5.1.r0.9de448ef9
+pkgname=('python-galsim-git' 'python2-galsim-git' 'galsim-common-git')
+pkgver=v2.1.4.r3.68c8695b0
pkgrel=1
pkgdesc=" The modular galaxy image simulation toolkit "
arch=('i686' 'x86_64')
url="https://github.com/GalSim-developers/GalSim.git"
license=('BSD')
-makedepends=('git' 'scons' 'boost-libs' 'fftw' 'tmv-git' 'python')
+makedepends=('git' 'scons' 'boost-libs' 'fftw' 'tmv-git' 'python' 'python2' 'eigen' 'pybind11')
source=("${pkgbase}::git+${url}")
md5sums=('SKIP')
@@ -24,41 +24,40 @@ prepare() {
build() {
cd "$srcdir"/$pkgbase
- scons PREFIX=/usr TMV_DIR=/usr PYTHON=python
+ scons PREFIX=/usr TMV_DIR=/usr PYBIND11_DIR=/usr/include EIGEN_DIR=/usr/include/eigen3 PYTHON=python
cd "$srcdir"/$pkgbase-py2
- scons PREFIX=/usr TMV_DIR=/usr PYTHON=python2
+ scons PREFIX=/usr TMV_DIR=/usr PYBIND11_DIR=/usr/include EIGEN_DIR=/usr/include/eigen3 PYTHON=python2
}
check() {
cd "$srcdir"/$pkgbase/tests
- nosetests -v
+ nosetests -v || warning 'Tests failed'
cd "$srcdir"/$pkgbase-py2/tests
- nosetests2 -v
+ nosetests2 -v || warning 'Tests failed'
}
package_python-galsim-git() {
- depends=('python' 'boost-libs' 'tmv-git' 'galsim-common-git')
+ depends=('python' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'galsim-common-git')
cd $pkgbase
- scons PREFIX="${pkgdir}"/usr FINAL_PREFIX=/usr PYTHON=python install
+ scons PREFIX="${pkgdir}"/usr FINAL_PREFIX=/usr PYTHON=python install
rm -rf "${pkgdir}"/usr/share
rm -f "${pkgdir}"/usr/lib/libgalsim.so
- rm -f "${pkgdir}"/usr/lib/libgalsim.so.1.5
+ rm -f "${pkgdir}"/usr/lib/libgalsim.so.2.1
install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
}
package_python2-galsim-git() {
- depends=('python2' 'boost-libs' 'tmv-git' 'galsim-common-git')
+ depends=('python2' 'boost-libs' 'fftw' 'tmv-git' 'eigen' 'pybind11' 'galsim-common-git')
cd $pkgbase-py2
scons PREFIX=$pkgdir/usr FINAL_PREFIX=/usr PYTHON=python2 install
-
- rm -rf "${pkgdir}"/usr/share
- rm -f "${pkgdir}"/usr/lib/libgalsim.so
- rm -f "${pkgdir}"/usr/lib/libgalsim.so.1.5
- for i in galsim galsim_download_cosmos galsim_json galsim_yaml ; do mv "$pkgdir"/usr/bin/${i}{,2}; done
- install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+ rm -rf "${pkgdir}"/usr/share
+ rm -f "${pkgdir}"/usr/lib/libgalsim.so
+ rm -f "${pkgdir}"/usr/lib/libgalsim.so.2.1
+ for i in galsim galsim_download_cosmos; do mv "$pkgdir"/usr/bin/${i}{,2}; done
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
}
package_galsim-common-git() {
@@ -68,5 +67,5 @@ package_galsim-common-git() {
install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
mv "${srcdir}"/$pkgbase/share/ "${pkgdir}"/usr/share/galsim/
install -Dm644 "${srcdir}"/$pkgbase/lib/libgalsim.so "${pkgdir}"/usr/lib/libgalsim.so
- install -Dm644 "${srcdir}"/$pkgbase/lib/libgalsim.so.1.5 "${pkgdir}"/usr/lib/libgalsim.so.1.5
+ install -Dm644 "${srcdir}"/$pkgbase/lib/libgalsim.so.2.1 "${pkgdir}"/usr/lib/libgalsim.so.2.1
} \ No newline at end of file